package com.webchat.client;

import com.webchat.rmi.annotation.EnableRpcPermissionInterceptor;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@ComponentScan("com.webchat")
@EnableFeignClients("com.webchat.rmi")
@EnableRpcPermissionInterceptor
public class WebchatClientApplication {

    public static void main(String[] args) {
        SpringApplication.run(WebchatClientApplication.class, args);
    }

}
