package com.webchat.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum BaseErrCodeEnum {

    UN_LOGIN(40001, "未登录"),

    RPC_REQUEST_UN_PERMISSION(40002, "内部服务调用无权限");

    private int code;
    private String message;
}
