package com.webchat.rmi.interceptor;

import com.webchat.common.constants.RpcRequestConstants;
import feign.RequestInterceptor;
import feign.RequestTemplate;


public class RpcRequestInterceptor implements RequestInterceptor {

    @Override
    public void apply(RequestTemplate requestTemplate) {
        requestTemplate.header(RpcRequestConstants.RPC_REQUEST_ACCESS_KEY, RpcRequestConstants.RPC_REQUEST_DEFAULT_AK);
        requestTemplate.header(RpcRequestConstants.RPC_REQUEST_SECRET_KEY, RpcRequestConstants.RPC_REQUEST_DEFAULT_SK);
    }
}
